Package Details: packer 20150808-1

Git Clone URL: (read-only)
Package Base: packer
Description: Bash wrapper for pacman and aur
Upstream URL:
Licenses: GPL3
Submitter: None
Maintainer: keenerd
Last Packager: keenerd
Votes: 772
Popularity: 7.972139
First Submitted: 2010-01-06 06:33
Last Updated: 2015-08-08 14:16

Dependencies (10)

Required by (2)

Sources (1)

Latest Comments

replabrobin commented on 2016-03-02 08:13

I had to make these changes in packer from packer-combined; not sure if that's all that's required

diff -r c903c022786d packer
--- a/packer Wed Jan 20 10:29:32 2016 +0000
+++ b/packer Wed Mar 02 08:13:02 2016 +0000
@@ -25,7 +25,7 @@


if [[ -t 1 && ! $COLOR = "NO" ]]; then
@@ -265,7 +265,7 @@

pkglink() {
rpcinfo $1
- echo "${PKGURL}$(jshon -Q -e results -e URLPath -u < "$tmpdir/$")"
+ echo "${PKGURL}$(jshon -Q -e results -e 0 -e URLPath -u < "$tmpdir/$")"

# downloads pkgbuild ($1), edits if $2 is set
@@ -296,7 +296,8 @@

isoutofdate() {
rpcinfo "$1"
- [[ "$(jshon -Q -e results -e OutOfDate -u < "$tmpdir/$")" != "0" ]]
+ local ood="$(jshon -Q -e results -e 0 -e OutOfDate -u < "$tmpdir/$")"
+ [[ "${ood}" != "0" && "${ood}" != null ]]

# $1 is prompt, $2 is file
@@ -543,7 +544,7 @@

run_quick_check() {
- bigurl="https://${AUR_DOMAIN}/rpc.php?type=multiinfo"
+ bigurl="https://${AUR_DOMAIN}/rpc.php?v=5&type=multiinfo"
for p in $(pacman -Qqm); do

tom.swartz07 commented on 2016-03-01 13:54

Just confirming as well:

packer -S packer
Package `packer' does not exist.

binhex commented on 2016-02-29 15:55

yep packer looks broken for me too, attempted compile of rutorrent returns this:-

[root]# packer -S rutorrent
Package `rutorrent' does not exist.

seen the same for rtorrent-color

trizen commented on 2016-02-29 08:07

"v=5" is required to be added to the "RPCURL" constant, like this:


Although, I'm afraid more changes are required to make it work correctly in all cases. However, until packer is fixed, a lightweight alternative, written in Perl and easy to use, would be trizen ( which provides, basically, all the functionality found in packer.

anntzer commented on 2016-02-29 07:20

Seems to not be able to find any AUR packages anymore, even after switching to package-query-git as suggested in the comments for yaourt.

rpodgorny commented on 2016-02-02 22:09

i suspect this should be renamed to packer-git according to

Roken commented on 2015-08-09 15:48

It did update itself - everything did. It just spammed me first, until packer had updated, then the spamming stopped. That's why I suggest that packer should prioritise itself. It's not for broken functionality, it's for panicking humans.

keenerd commented on 2015-08-09 12:42

Packer wouldn't have been able to update itself anyway, in your case.

Roken commented on 2015-08-09 08:05

I've just had a hell of a time trying to debug AUR updates using packer spamming the console with error messages suggesting that an HTML document had been downloaded instead of the PKGBUILD. After a while, along came an update to packer which fixed it.

Is there a way you can force packer to update first when it's being updated at the same time as other packages?

Xavion commented on 2015-06-22 20:34

Use my "packer-color" package instead. It's been modified to work with AUR v4.

All comments